CRAN Package Check Results for Package LDAShiny

Last updated on 2021-06-22 07:49:32 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.9.3 3.69 38.91 42.60 OK
r-devel-linux-x86_64-debian-gcc 0.9.3 2.81 30.21 33.02 OK
r-devel-linux-x86_64-fedora-clang 0.9.3 61.01 NOTE
r-devel-linux-x86_64-fedora-gcc 0.9.3 51.28 NOTE
r-devel-windows-x86_64 0.9.3 8.00 59.00 67.00 OK
r-devel-windows-x86_64-gcc10-UCRT 0.9.3 ERROR
r-patched-linux-x86_64 0.9.3 3.87 37.89 41.76 OK
r-patched-solaris-x86 0.9.3 80.10 NOTE
r-release-linux-x86_64 0.9.3 3.68 37.85 41.53 OK
r-release-macos-arm64 0.9.3 NOTE
r-release-macos-x86_64 0.9.3 NOTE
r-release-windows-ix86+x86_64 0.9.3 12.00 63.00 75.00 OK
r-oldrel-macos-x86_64 0.9.3 NOTE

Check Details

Version: 0.9.3
Check: package dependencies
Result: NOTE
    Imports includes 25 non-default packages.
    Importing from so many packages makes the package vulnerable to any of
    them becoming unavailable. Move as many as possible to Suggests and
    use conditionally.
Flavor: r-devel-linux-x86_64-fedora-clang

Version: 0.9.3
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘DT’ ‘SnowballC’ ‘beepr’ ‘broom’ ‘chinese.misc’ ‘dplyr’ ‘highcharter’
     ‘htmlwidgets’ ‘ldatuning’ ‘parallel’ ‘plotly’ ‘purrr’ ‘quanteda’
     ‘shinyBS’ ‘shinyWidgets’ ‘shinyalert’ ‘shinycssloaders’ ‘shinyjs’
     ‘stringr’ ‘textmineR’ ‘tidyr’ ‘tidytext’ ‘topicmodels’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64

Version: 0.9.3
Check: package dependencies
Result: ERROR
    Packages required but not available: 'highcharter', 'plotly'
    
    See section 'The DESCRIPTION file' in the 'Writing R Extensions'
    manual.
Flavor: r-devel-windows-x86_64-gcc10-UCRT